GLOBAL.require("map/tasks")
GLOBAL.require("constants")
GLOBAL.require("map/rooms/mir_rooms")
modimport 'scripts/tile_wharang.lua'

local LOCKS = GLOBAL.LOCKS
local KEYS = GLOBAL.KEYS
local GROUND = GLOBAL.GROUND
local Layouts = GLOBAL.require("map/layouts").Layouts
local StaticLayout = GLOBAL.require("map/static_layout")

--更改地皮编号
 AddTile("ASIA", 100, "asia", 
 {noise_texture = "levels/textures/noise_asia.tex"},
 {noise_texture = "levels/textures/mini_noise_asia.tex"},
 {runsound = "dontstarve/movement/run_carpet"},
 {walksound = "dontstarve/movement/walk_carpet"},
 {snowsound = "dontstarve/movement/run_snow"},
 {mudsound = "dontstarve/movement/run_mud"}
 )

 AddTile("ORIENT", 101, "orient", 
 {noise_texture = "levels/textures/noise_orient.tex"},
 {noise_texture = "levels/textures/mini_noise_orient.tex"},
 {runsound = "dontstarve/movement/run_carpet"},
 {walksound = "dontstarve/movement/walk_carpet"},
 {snowsound = "dontstarve/movement/run_snow"},
 {mudsound = "dontstarve/movement/run_mud"}
 )

 AddTile("FLAMEROSE", 102, "flamerose",
 {noise_texture = "levels/textures/noise_flamerose.tex"},
 {noise_texture = "levels/textures/mini_noise_flamerose.tex"},
 {runsound = "dontstarve/movement/run_carpet"},
 {walksound = "dontstarve/movement/walk_carpet"},
 {snowsound = "dontstarve/movement/run_ice"},
 {mudsound = "dontstarve/movement/run_mud"}
  )

--巨人国，复合地形
AddTaskPreInit("Forest hunters", function(task)
	task.room_choices["MirEggSpawn"] = 1
end)

--海难，抽奖机
AddTaskPreInit("IslandCasino", function(task)
	task.room_choices["MirEggSpawn2"] = 1
end)

