
GLOBAL.setmetatable(env,{__index=function(t,k) return GLOBAL.rawget(GLOBAL,k) end})

--Recipe("miho",{ }, RECIPETABS.TOWN, {SCIENCE=0})
local languages = GetModConfigData("languages")

--自动切换语言
GLOBAL.IsChinese = function()  --游戏语言，是中文
	if not softresolvefilepath("scripts/languages/loc.lua") then
        return
    end
    local loc = require "languages/loc"
    local syslang = loc and loc.GetLanguage and loc.GetLanguage()
    if syslang and (syslang == LANGUAGE.CHINESE_T or syslang == LANGUAGE.CHINESE_S or syslang == LANGUAGE.CHINESE_S_RAIL)then
        return true
    end
end

GLOBAL.IsEnglish = function()  --游戏语言，是英文
	if not softresolvefilepath("scripts/languages/loc.lua") then
        return
    end
    local loc = require "languages/loc"
    local syslang = loc and loc.GetLanguage and loc.GetLanguage()
    if syslang and syslang == LANGUAGE.ENGLISH then
        return true
    end
end

if (languages == "auto" and IsChinese()) or languages == "chinese" then
  modimport("scripts/wharang_strings_ch.lua")
  STRINGS.CHARACTERS.WHARANG = require "speech_wharang_ch"
else
  modimport("scripts/wharang_strings.lua")
  STRINGS.CHARACTERS.WHARANG = require "speech_wharang"
end


if (Mod_language == "auto" and IsEnglish()) or Mod_language == "english" then --1
  origInitializeModInfo = KnownModIndex.InitializeModInfo
  KnownModIndex.InitializeModInfo = function(self,_modname)
    local info = origInitializeModInfo(self,_modname)
    if _modname == modname then
    info.name="The Millennium Fox"
    info.description = "Wharang The Millennium Fox\nBy 青青草原扛把子"
    info.author = "JinYering"
info.configuration_options =
{
{
   name = "languages",
   label = "语言language",
   options ={
     {description = "自动(Auto)", data = "auto"},
     {description = "中文", data = "chinese"},
     {description = "English", data = "english"},
   },
   default = "auto",
},
{
name = "costume",
label = "Wharang Theme",
options =
{
{description = "Original", data = "test"},
},
default = "test",
},

	{
		name = "wharang_stat",
		label = "Wharang Stats",
		options =
		{
			{description = "Default", data = "stat_default"},
			{description = "Beginner", data = "stat_beginner"},
		},
		default = "stat_default",
	},

	{
		name = "soulheart",
		label = "Show Soul Heart",
		options =
		{
            {description="TAB", data = 9},
            {description="KP_PERIOD", data = 266},
            {description="KP_DIVIDE", data = 267},
            {description="KP_MULTIPLY", data = 268},
            {description="KP_MINUS", data = 269},
            {description="KP_PLUS", data = 270},
            {description="KP_ENTER", data = 271},
            {description="KP_EQUALS", data = 272},
            {description="MINUS", data = 45},
            {description="EQUALS", data = 61},
            {description="SPACE", data = 32},
            {description="ENTER", data = 13},
            {description="ESCAPE", data = 27},
            {description="HOME", data = 278},
            {description="INSERT", data = 277},
            {description="DELETE", data = 127},
            {description="END", data   = 279},
            {description="PAUSE", data = 19},
            {description="PRINT", data = 316},
            {description="CAPSLOCK", data = 301},
            {description="SCROLLOCK", data = 302},
            {description="RSHIFT", data = 303}, -- use SHIFT instead
            {description="LSHIFT", data = 304}, -- use SHIFT instead
            {description="RCTRL", data = 305}, -- use CTRL instead
            {description="LCTRL", data = 306}, -- use CTRL instead
            {description="RALT", data = 307}, -- use ALT instead
            {description="LALT", data = 308}, -- use ALT instead
            {description="ALT", data = 400},
            {description="CTRL", data = 401},
            {description="SHIFT", data = 402},
            {description="BACKSPACE", data = 8},
            {description="PERIOD", data = 46},
            {description="SLASH", data = 47},
            {description="LEFTBRACKET", data     = 91},
            {description="BACKSLASH", data     = 92},
            {description="RIGHTBRACKET", data = 93},
            {description="TILDE", data = 96},
            {description="A", data = 97},
            {description="B", data = 98},
            {description="C", data = 99},
            {description="D", data = 100},
            {description="E", data = 101},
            {description="F", data = 102},
            {description="G", data = 103},
            {description="H", data = 104},
            {description="I", data = 105},
            {description="J", data = 106},
            {description="K", data = 107},
            {description="L", data = 108},
            {description="M", data = 109},
            {description="N", data = 110},
            {description="O", data = 111},
            {description="P", data = 112},
            {description="Q", data = 113},
            {description="R", data = 114},
            {description="S", data = 115},
            {description="T", data = 116},
            {description="U", data = 117},
            {description="V", data = 118},
            {description="W", data = 119},
            {description="X", data = 120},
            {description="Y", data = 121},
            {description="Z", data = 122},
            {description="F1", data = 282},
            {description="F2", data = 283},
            {description="F3", data = 284},
            {description="F4", data = 285},
            {description="F5", data = 286},
            {description="F6", data = 287},
            {description="F7", data = 288},
            {description="F8", data = 289},
            {description="F9", data = 290},
            {description="F10", data = 291},
            {description="F11", data = 292},
            {description="F12", data = 293},
 
            {description="UP", data = 273},
            {description="DOWN", data = 274},
            {description="RIGHT", data = 275},
            {description="LEFT", data = 276},
            {description="PAGEUP", data = 280},
            {description="PAGEDOWN", data = 281},
 
            {description="0", data = 48},
            {description="1", data = 49},
            {description="2", data = 50},
            {description="3", data = 51},
            {description="4", data = 52},
            {description="5", data = 53},
            {description="6", data = 54},
            {description="7", data = 55},
            {description="8", data = 56},
            {description="9", data = 57},
		},
		default = 292,
	},

	{
		name = "partytime",
		label = "FireWork Party Start",
		options =
		{
			{description = "Shift + J", data = 106},
			{description = "Shift + K", data = 107},
			{description = "Shift + L", data = 108},
			{description = "Shift + B", data =  98},
			{description = "Shift + N", data = 110},
			{description = "Shift + M", data = 109},
		},
		default = 108,
	},

	{
		name = "callpet",
		label = "Change pet's priority",
		options =
		{
			{description = "Ctrl + C", data =  99},
			{description = "Ctrl + V", data = 118},
			{description = "Ctrl + G", data = 103},
			{description = "Ctrl + H", data = 104},
			{description = "Ctrl + T", data = 116},
			{description = "Ctrl + R", data = 114},
			{description = "Ctrl + Y", data = 121},
		},
		default = 103,
	},

	{
		name = "miho_build",
		label = "Change Miho's Design",
		options =
		{
			{description = "New Style", data = "new"},
			{description = "Old Style", data = "old"},
		},
		default = "new",
	},
}
    end
    return info
  end
end